Bug 1279056 - (libminc) Review Request: libminc - Core library and API of the MINC toolkit
Review Request: libminc - Core library and API of the MINC toolkit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro minc-tools
  Show dependency treegraph
 
Reported: 2015-11-07 09:51 EST by Igor Gnatenko
Modified: 2015-12-12 23:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-12 23:23:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-07 09:51:03 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/libminc.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/libminc-2.3.00-1.fc24.src.rpm
Description:
The MINC file format is a highly flexible medical image file format
built on the HDF5 generalized data format. The format is
simple, self-describing, extensible, portable and N-dimensional, with
programming interfaces for both low-level data access and high-level
volume manipulation. On top of the libraries is a suite of generic
image-file manipulation tools. The format, libraries and tools are
designed for use in a medical-imaging research environment : they are
simple and powerful and make no attempt to provide a pretty interface
to users.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-26 18:09:37 EST
%{_libdir}/cmake/LIBMINC/ → this looks suspicious. Cmake puts everything in /usr/share/cmake asaic, nothing provides /usr/lib/cmake in Fedora.

I don't think libminc-devel should require cmake. It should be possible to link to the library using other build systems, and cmake is a fairly large dep.

Rpmlint
-------
Checking: libminc-2.3.00-1.fc24.i686.rpm
          libminc-devel-2.3.00-1.fc24.i686.rpm
          libminc-debuginfo-2.3.00-1.fc24.i686.rpm
          libminc-2.3.00-1.fc24.src.rpm
libminc.i686: W: shared-lib-calls-exit /usr/lib/libminc2.so.4.0.0 exit@GLIBC_2.0
libminc-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/libminc-libminc-2-3-00/volume_io/Geometry/tensors.c
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

- latest version is packaged
- BSD license is OK
- license file is present, %license is used
- tests are present and pass
- ldconfig is called
- Provides/Requires look sane, apart from the cmake dep.

Looks fine apart from the minor issues listed above.
Comment 2 Igor Gnatenko 2015-11-26 18:12:46 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> %{_libdir}/cmake/LIBMINC/ → this looks suspicious. Cmake puts everything in
> /usr/share/cmake asaic, nothing provides /usr/lib/cmake in Fedora.
arch-dependent packages should go to libdir/cmake/*
> 
> I don't think libminc-devel should require cmake. It should be possible to
> link to the library using other build systems, and cmake is a fairly large
> dep.
will remore
> 
> Rpmlint
> -------
> Checking: libminc-2.3.00-1.fc24.i686.rpm
>           libminc-devel-2.3.00-1.fc24.i686.rpm
>           libminc-debuginfo-2.3.00-1.fc24.i686.rpm
>           libminc-2.3.00-1.fc24.src.rpm
> libminc.i686: W: shared-lib-calls-exit /usr/lib/libminc2.so.4.0.0
> exit@GLIBC_2.0
looks like you got it 2 times, probably bug in rpmlint? What does it mean?
> libminc-debuginfo.i686: W: spurious-executable-perm
> /usr/src/debug/libminc-libminc-2-3-00/volume_io/Geometry/tensors.c
will do chmod -x on that file.
> 4 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
> - latest version is packaged
> - BSD license is OK
> - license file is present, %license is used
> - tests are present and pass
> - ldconfig is called
> - Provides/Requires look sane, apart from the cmake dep.
> 
> Looks fine apart from the minor issues listed above.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-26 18:21:36 EST
Ah, OK, I think I messed up the repoquery call. So ignore the part about /usr/lib/cmake.

>> libminc.i686: W: shared-lib-calls-exit /usr/lib/libminc2.so.4.0.0
>> exit@GLIBC_2.0
> looks like you got it 2 times, probably bug in rpmlint? What does it mean?

Calling exit from shared libs is discouraged because it would kill the applications, the library should return an error instead. But it is not a packaging issue, just a (possible) bug or misdesign in the library. You can safely ignore it.

OK, so apart from the small fixes, everything is OK. Package is APPROVED.
Comment 4 Till Maas 2015-11-28 17:25:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/libminc
Comment 5 Fedora Update System 2015-11-28 20:03:22 EST
libminc-2.3.00-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6ab47275f
Comment 6 Fedora Update System 2015-11-29 18:53:05 EST
libminc-2.3.00-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libminc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6ab47275f
Comment 7 Fedora Update System 2015-12-02 16:37:12 EST
libminc-2.3.00-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6ab47275f
Comment 8 Fedora Update System 2015-12-03 20:38:31 EST
libminc-2.3.00-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libminc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6ab47275f
Comment 9 Fedora Update System 2015-12-12 23:23:33 EST
libminc-2.3.00-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.